package mk.ukim.finki.it.reservengo.web;

import mk.ukim.finki.it.reservengo.service.intf.AdminService;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping("/api/admin")
@CrossOrigin(origins = "*")
public class AdminController {

    private final AdminService adminService;

    public AdminController(AdminService adminService) {
        this.adminService = adminService;
    }

    @PostMapping("/add")
    public ResponseEntity<?> addLocal(@RequestParam String name) {
        adminService.addLocal(name);
        return ResponseEntity.ok().build(); // optional if you want to return something after adding
    }

    @PostMapping("/delete/{id}")
    public ResponseEntity<?> deleteLocal(@PathVariable Long id) {
        adminService.deleteLocal(id);
        return ResponseEntity.ok().build(); // optional if you want to return something after deleting
    }
}
